Subject: Re: Replacement to of_register_platform_driver ?

From: Michael Ellerman <[email-masked]>
Date: Thu, 14 Jun 2012 10:28:21 +1000

On Wed, 2012-06-13 at 17:21 +0200, Guillaume Dargaud wrote:
> Hello all,
> I just updated to the most recent kernel and a driver I wrote last year 
> won't compile:
> xad.c:534:2: error: implicit declaration of function 
> 'of_register_platform_driver'
> 
> I see references to this function as 'obsolete' but could not find 
> what's the new recommended way to do things.

The "of" bits were merged with the regular platform driver. So you
should use a platform_driver, which basically means remove "of_"
everywhere.

cheers